require 'thor'
require_relative '../foodie2/food'
require_relative '../foodie2/generators/recipe'

module Foodie2
  class CLI < Thor
    desc "portray ITEM", "Determines if a piece of food is gross or delicious"
    def portray(name)
      puts Foodie2::Food.portray(name)
    end

    desc "pluralize", "Pluralizes a word"
    method_option :word, :aliases => "-w"
    def pluralize
      puts Foodie2::Food.pluralize(options[:word])
    end

    desc "recipe", "Generates a recipe scaffold"
    def recipe(group, name)
      Foodie2::Generators::Recipe.start([group, name])
    end

  end
end

